/**
 *
 */
package org.openmobileis.bundle.osgi.terminal;

import org.openmobileis.common.util.exception.ServiceException;
import org.openmobileis.modules.profiles.terminal.RubricLoader;

/**
 * @author phil
 *
 */
public final class OSGIOpenMISRubricLoad extends RubricLoader {

	/**
	 *
	 */
	public OSGIOpenMISRubricLoad() {
	}

	/* (non-Javadoc)
	 * @see org.openmobileis.modules.profiles.terminal.RubricLoader#getServiceClassList()
	 */
	public String[] getServiceClassList() throws ServiceException {
    return new String[]{
    		"org.openmobileis.synchro.openmsp.client.services.DirectSynchroService"
    		,"org.openmobileis.synchro.openmsp.client.services.SynchroLoginService"
    		,"org.openmobileis.synchro.openmsp.client.services.SynchroJournalDisplayService"
    };
	}

	/* (non-Javadoc)
	 * @see org.openmobileis.modules.profiles.terminal.RubricLoader#postLoadingInit()
	 */
	public void postLoadingInit() throws ServiceException {
	}

	/* (non-Javadoc)
	 * @see org.openmobileis.modules.profiles.terminal.RubricLoader#preLoadingInit()
	 */
	public void preLoadingInit() throws ServiceException {
	}

}
